User account creation filtered due to spam.

Bug 22507 - GCJ segfaults building Apache Cocoon
Summary: GCJ segfaults building Apache Cocoon
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.0.1
: P2 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-16 01:00 UTC by Jack
Modified: 2007-01-09 20:47 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-07-18 18:07:47


Attachments
Segfault test case (872 bytes, text/x-java)
2005-07-16 01:06 UTC, Jack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2005-07-16 01:00:31 UTC
GCC segfaults building Apache Cocoon using GCJ

I rebuilt GCC using gcc-4.0-20050707.tar.bz2 snapshot, but encountered the same
problem

I reduced the offending source file to this test case -
http://www.sfu.ca/~jdbates/tmp/gcc/TestSegfault.java

I observe compiling this test case produces this output -


fis% gcj TestSegfault.java
TestSegfault.java: In class 'TestSegfault$2':
TestSegfault.java: In method 'TestSegfault$2.bar()':
TestSegfault.java:40: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
For Debian GNU/Linux specific bug reporting instructions,
see <URL:file:///usr/share/doc/gcc-4.0/README.Bugs>.
fis% 


The following is information about my version of GCC -


fis% gcc -v
Using built-in specs.
Target: powerpc-linux-gnu
Configured with: ../src/configure -v
--enable-languages=c,c++,java,f95,objc,ada,treelang --prefix=/usr
--enable-shared --with-system-zlib --libexecdir=/usr/lib --enable-nls
--without-included-gettext --enable-threads=posix --program-suffix=-4.0
--enable-__cxa_atexit --enable-libstdcxx-allocator=mt --enable-clocale=gnu
--enable-libstdcxx-debug --enable-java-gc=boehm --enable-java-awt=gtk
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-4.0-1.4.2.0/jre --enable-mpfr
--disable-multilib --disable-werror --enable-checking=release powerpc-linux-gnu
Thread model: posix
gcc version 4.0.1 (Debian 4.0.1+200507130-1)
fis%
Comment 1 Jack 2005-07-16 01:06:58 UTC
Created attachment 9285 [details]
Segfault test case
Comment 2 Tom Tromey 2005-07-18 18:07:47 UTC
Confirmed with 4.0 and cvs trunk.

Comment 3 Tom Tromey 2007-01-09 20:47:56 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.